package com.liangjian.dataplatform.member.entity.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/27
 */
@ApiModel("物流信息")
public class TransportInfo {
    @ApiModelProperty("快递单号")
    private String logisticCode;

    @ApiModelProperty("快递类型码")
    private String shipperCode;

    @ApiModelProperty("快递流转信息")
    private List<TransportTrace> traces;

    @ApiModelProperty("状态")
    private String state;

    @ApiModelProperty("查询用户")
    private String eBusinessID;

    @ApiModelProperty("成功")
    private Boolean success;

    @ApiModelProperty("失败原因")
    private String reason;

    @JsonProperty("LogisticCode")
    public String getLogisticCode() {
        return logisticCode;
    }

    @JsonProperty("LogisticCode")
    public void setLogisticCode(String logisticCode) {
        this.logisticCode = logisticCode;
    }

    @JsonProperty("ShipperCode")
    public String getShipperCode() {
        return shipperCode;
    }

    @JsonProperty("ShipperCode")
    public void setShipperCode(String shipperCode) {
        this.shipperCode = shipperCode;
    }

    @JsonProperty("Traces")
    public List<TransportTrace> getTraces() {
        return traces;
    }

    @JsonProperty("Traces")
    public void setTraces(List<TransportTrace> traces) {
        this.traces = traces;
    }

    @JsonProperty("State")
    public String getState() {
        return state;
    }

    @JsonProperty("State")
    public void setState(String state) {
        this.state = state;
    }

    @JsonProperty("EBusinessID")
    public String getEBusinessID() {
        return eBusinessID;
    }

    @JsonProperty("EBusinessID")
    public void setEBusinessID(String eBusinessID) {
        this.eBusinessID = eBusinessID;
    }

    @JsonProperty("Success")
    public Boolean getSuccess() {
        return success;
    }

    @JsonProperty("Success")
    public void setSuccess(Boolean success) {
        this.success = success;
    }

    @JsonProperty("Reason")
    public String getReason() {
        return reason;
    }

    @JsonProperty("Reason")
    public void setReason(String reason) {
        this.reason = reason;
    }
}
